## org.eclipse.amp.amf.acore.edit.commands.test
Class CommandTransformer

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer

All Implemented Interfaces:
  PrePostAsserts, org.metaabm.tests.Transformer

Direct Known Subclasses:
  AddContinuous, AddGrid, AddImplement, AddNetwork, AddStyle2D, CreateAgents, CreateSpace, CreateSubcontext, SetGridDimensions0, SetGridDimensions1, SetGridDimensions2, SetGridDimensions3, SetStyleAgent, SetTransformer

    public abstract class CommandTransformer

extends PrePostCondition
implements org.metaabm.tests.Transformer, PrePostAsserts

Constructor Summary
`CommandTransformer()`
`CommandTransformer(java.lang.String name)`

Method Summary
`void` `addPrePost(java.util.List<PrePostCondition> list)`
`void` `doPostCondition()`
`void` `doPreCondition()`
`void` `exec()`
`abstract org.eclipse.emf.common.command.Command` `getCommand()`
`boolean` `modifies()`
`void` `prepare(SContext target)`
`void` `redo()`
`java.lang.String` `toString()`
`void` `undo()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, postCondition, preCondition, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.amf.acore.edit.commands.test.PrePostAsserts
`postCondition, preCondition`

Constructor Detail

### CommandTransformer

    public CommandTransformer(java.lang.String name)

### CommandTransformer

    public CommandTransformer()

Method Detail

### prepare

    public void prepare(SContext target)

  Specified by:
    `prepare` in interface `org.metaabm.tests.Transformer`

### doPreCondition

    public void doPreCondition()

### doPostCondition

    public void doPostCondition()

### exec

    public void exec()

  Specified by:
    `exec` in interface `org.metaabm.tests.Transformer`

### undo

    public void undo()

  Specified by:
    `undo` in interface `org.metaabm.tests.Transformer`

### redo

    public void redo()

  Specified by:
    `redo` in interface `org.metaabm.tests.Transformer`

### addPrePost

    public void addPrePost(java.util.List<PrePostCondition> list)

### getCommand

    public abstract org.eclipse.emf.common.command.Command getCommand()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### modifies

    public boolean modifies()

  Specified by:
    `modifies` in interface `org.metaabm.tests.Transformer`